package cn.com.poc.equity.dto;

import cn.com.poc.equity.constants.EquityEnum;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 会员权益基础信息
 *
 * @author alex.yao
 * @date 2024/12/9
 */
public class CurrentUserEquityInfoDto implements Serializable {

    private Integer usedAgentCount;

    private Integer maxAgentCount;

    private Integer usedKnowledgeCount;


    private Integer maxKnowledgeCount;

    private EquityEnum.TYPE equityLevel;

    private BigDecimal points;

    private Date expireTime;


    public Integer getUsedAgentCount() {
        return usedAgentCount;
    }

    public void setUsedAgentCount(Integer usedAgentCount) {
        this.usedAgentCount = usedAgentCount;
    }

    public Integer getUsedKnowledgeCount() {
        return usedKnowledgeCount;
    }

    public void setUsedKnowledgeCount(Integer usedKnowledgeCount) {
        this.usedKnowledgeCount = usedKnowledgeCount;
    }

    public Integer getMaxAgentCount() {
        return maxAgentCount;
    }

    public void setMaxAgentCount(Integer maxAgentCount) {
        this.maxAgentCount = maxAgentCount;
    }


    public Integer getMaxKnowledgeCount() {
        return maxKnowledgeCount;
    }

    public void setMaxKnowledgeCount(Integer maxKnowledgeCount) {
        this.maxKnowledgeCount = maxKnowledgeCount;
    }

    public EquityEnum.TYPE getEquityLevel() {
        return equityLevel;
    }

    public void setEquityLevel(EquityEnum.TYPE equityLevel) {
        this.equityLevel = equityLevel;
    }

    public BigDecimal getPoints() {
        return points;
    }

    public void setPoints(BigDecimal points) {
        this.points = points;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }
}
